{
  "nombre": "Administracion de Variables",
  "body": [
    {
      "componente": "SuperGrid",
      "resultVariableName": "",
      "botones": [
        {
          "order": 1,
          "icon": "edit",
          "name": "Editar",
          "disabledCondition": "&userType = 'basic'",
          "action": {
            "type": "dialog",
            "config": {
              "location": "own",
              "location2": "structure/tvar",
              "title": "Edicion de Variable",
              "name": "variable"
            }
          }
        },
        {
          "texto": "Agregar Usuario",
          "icono": "add",
          "endpoint": "Engine",
          "type": "dialog",
          "action": {
            "type": "dialog",
            "config": {
              "location": "structure/",
              "title": "Creación de Usuario",
              "action": "creacion",
              "name": "usr"
            }
          }
        },
        {
          "order": 3,
          "icon": "delete",
          "name": "Eliminar",
          "action": {
            "type": "apicall",
            "url": "gencred/Engine?paquete=motor&clase=AdministraNodo&metodo=ManageVar&parametros=",
            "useRowData": {
              "forceValues": {
                "TipOpe": "Eliminar"
              },
              "rowDataInsideVariable": "json"
            }
          }
        },
        {
          "order": 4,
          "icon": "forward",
          "name": "Ejecutar",
          "action": "llamarendpoint.js"
        },
        {
          "order": 5,
          "icon": "doc",
          "name": "Editar Complejo",
          "action": {
            "type": "custom",
            "title": "Edición de Variable con Compoenente React",
            "component": "wfInbox"
          }
        }
      ]
    }
  ]
}
